Bug 524246 - IP_MULTICAST_IF incorrectly documented as to which arguments it takes.
Summary: IP_MULTICAST_IF incorrectly documented as to which arguments it takes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 14:14 UTC by Marc Milgram
Modified: 2018-10-20 04:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 09:13:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1574 normal SHIPPED_LIVE man-pages bug fix update 2009-11-11 09:13:32 UTC

Description Marc Milgram 2009-09-18 14:14:29 UTC
Description of problem:
The ip(7) man page indicates that IP_MULTICAST_IF takes an argument which is an ip_mreqn or ip_mreq structure.  In reality, IP_MULTICAST_IF takes an argument which is an ip_mreqn or in_addr structure.

Version-Release number of selected component (if applicable):
man-pages-2.39-12.el5


How reproducible:
100%

Steps to Reproduce:
1. man 7 tcp
2. Search for IP_MULTICAST_IF
3. Read which argument(s) it takes
  
Actual results:
man page claims that IP_MULTICAST_IF takes ip_mreqn or ip_mreq structure.

Expected results:
man page claims that IP_MULTICAST_IF takes ip_mreqn or in_addr structure.

Additional info:
LSB gets it wrong as well.
In all non-Linux implementations, IP_MULTICAST_IF takes an in_addr structure.

Comment 6 errata-xmlrpc 2009-11-11 09:13:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1574.html


Note You need to log in before you can comment on or make changes to this bug.